#!/bin/bash

ansible-playbook pve.yml -e __pve_env=aap_lab -e __run_action=create
ansible-playbook pve.yml -e __pve_env=aap_lab -e __run_action=start
ansible-playbook pve.yml -e __pve_env=aap_lab -e __run_action=map

read -p 'Has pve.yml completed successfully? (y/n) ' pve_complete

if [ $pve_complete = 'y' ]
then
  echo 'Continuing run...'
  ansible-playbook -i inventory/lab_hosts manage_nodes.yml --ask-vault-pass -e __pve_env=aap_lab
  ansible-playbook -i inventory/lab_hosts prometheus.yml -e __pve_env=aap_lab
  ansible-playbook -i inventory/lab_hosts grafana.yml -e __pve_env=aap_lab
fi
